Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XML
Class XMLAttribute

    java.lang.Object
      |
      +--XML.XMLAttribute

public class XMLAttribute
extends java.lang.Object

Field Summary
`protected java.lang.String` | `name`
`protected java.lang.String` | `value`

Constructor Summary
`XMLAttribute(java.lang.String name, boolean value)`
`XMLAttribute(java.lang.String name, double value)`
`XMLAttribute(java.lang.String name, float value)`
`XMLAttribute(java.lang.String name, int value)`
`XMLAttribute(java.lang.String name, java.lang.String value)` Make a new XMlAttribute.

Method Summary
`boolean` | `getBooleanValue()`
`double` | `getDoubleValue()`
`float` | `getFloatValue()`
`int` | `getIntValue()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStringValue()`
`java.lang.String` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### value

    protected java.lang.String value

Constructor Detail

### XMLAttribute

    public XMLAttribute(java.lang.String name,
                        java.lang.String value)

  Make a new XMlAttribute. Encapsulate control characters from the parameters so they don't confuse our XML parser.
  Parameters:
    `name` - The name of the attribute
    `value` - The value of the attribute

### XMLAttribute

    public XMLAttribute(java.lang.String name,
                        int value)

### XMLAttribute

    public XMLAttribute(java.lang.String name,
                        float value)

### XMLAttribute

    public XMLAttribute(java.lang.String name,
                        double value)

### XMLAttribute

    public XMLAttribute(java.lang.String name,
                        boolean value)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of this attribute

### getValue

    public java.lang.String getValue()

  Returns:
    The value of this attribute

### getIntValue

    public int getIntValue()

### getStringValue

    public java.lang.String getStringValue()

### getFloatValue

    public float getFloatValue()

### getDoubleValue

    public double getDoubleValue()

### getBooleanValue

    public boolean getBooleanValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string with name="value". With eventual encapsulation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD